# Main BPT Module
module Helpers
  def missing_options_error(name)
    raise "BptScraper::#{name} was never given required parameters"
  end

  def missing_parameters_error(name, parameter)
    raise "BptScraper::#{name} was never given the required parameter: #{parameter}"
  end

  def no_developer_id_error
    raise 'The BPT developer_id is required!'
  end

  def failed_login_fetch
    raise 'BptScraper was unable to fetch the Bpt home page'
  end

  def failed_login_post
    raise 'BptScraper was unable to create a session'
  end
end
